slackware-current/source/ap/mariadb/mysql_install_db.nopam.diff
Patrick J Volkerding 8b94ad41b1 Thu Aug 1 21:26:28 UTC 2019
ap/mariadb-10.4.7-x86_64-1.txz:  Upgraded.
  This update fixes bugs and security issues.
  For more information, see:
    https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-2805
    https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-2740
    https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-2739
    https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-2737
    https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-2758
  (* Security fix *)
kde/pykde4-4.14.3-x86_64-9.txz:  Rebuilt.
kde/qtruby-4.14.3-x86_64-10.txz:  Rebuilt.
  Recompiled against QScintilla-2.11.2.
kde/smokeqt-4.14.3-x86_64-6.txz:  Rebuilt.
  Recompiled against QScintilla-2.11.2.
l/PyQt-4.12.3-x86_64-1.txz:  Upgraded.
  Thanks to alienBOB.
l/QScintilla-2.11.2-x86_64-1.txz:  Upgraded.
  Shared library .so-version bump.
  Thanks to alienBOB.
l/sip-4.19.18-x86_64-1.txz:  Upgraded.
  Thanks to alienBOB.
xap/sane-1.0.28-x86_64-1.txz:  Upgraded.
2019-08-02 08:59:46 +02:00

48 lines
1.7 KiB
Diff

--- ./scripts/mysql_install_db.sh.orig 2019-08-01 13:25:00.406477885 -0500
+++ ./scripts/mysql_install_db.sh 2019-08-01 13:27:53.316490799 -0500
@@ -480,25 +480,26 @@
if test -n "$user"
then
- chown $user "$pamtooldir/auth_pam_tool_dir" && \
- chmod 0700 "$pamtooldir/auth_pam_tool_dir"
- if test $? -ne 0
- then
- echo "Cannot change ownership of the '$pamtooldir/auth_pam_tool_dir' directory"
- echo " to the '$user' user. Check that you have the necessary permissions and try again."
- exit 1
- fi
- if test -z "$srcdir"
- then
- chown 0 "$pamtooldir/auth_pam_tool_dir/auth_pam_tool" && \
- chmod 04755 "$pamtooldir/auth_pam_tool_dir/auth_pam_tool"
- if test $? -ne 0
- then
- echo "Couldn't set an owner to '$pamtooldir/auth_pam_tool_dir/auth_pam_tool'."
- echo " It must be root, the PAM authentication plugin doesn't work otherwise.."
- echo
- fi
- fi
+ # Commented out since Slackware does not currently provide PAM:
+ #chown $user "$pamtooldir/auth_pam_tool_dir" && \
+ #chmod 0700 "$pamtooldir/auth_pam_tool_dir"
+ #if test $? -ne 0
+ #then
+ # echo "Cannot change ownership of the '$pamtooldir/auth_pam_tool_dir' directory"
+ # echo " to the '$user' user. Check that you have the necessary permissions and try again."
+ # exit 1
+ #fi
+ #if test -z "$srcdir"
+ #then
+ # chown 0 "$pamtooldir/auth_pam_tool_dir/auth_pam_tool" && \
+ # chmod 04755 "$pamtooldir/auth_pam_tool_dir/auth_pam_tool"
+ # if test $? -ne 0
+ # then
+ # echo "Couldn't set an owner to '$pamtooldir/auth_pam_tool_dir/auth_pam_tool'."
+ # echo " It must be root, the PAM authentication plugin doesn't work otherwise.."
+ # echo
+ # fi
+ #fi
args="$args --user=$user"
fi